---
title: Credential.id
slug: Web/API/Credential/id
tags:
  - API
  - Credential
  - Credential Management API
  - Property
  - Reference
  - credential management
  - id
---
<p>{{SeeCompatTable}}{{APIRef("")}}</p>

<p><span class="seoSummary">The <strong><code>id</code></strong> property of the {{domxref("Credential")}} interface returns a {{domxref("DOMString")}} containing the credential's identifier. This might be any one of a GUID, username, or email address.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var id = Credential.id;</pre>

<h3 id="Value">Value</h3>

<p>A a {{domxref("DOMString")}} containing the credential's identifier.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Credential Management')}}</td>
   <td>{{Spec2('Credential Management')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Credential.id")}}</p>
